<?php require_once('Connections/cn.php'); ?>
<?php session_start();
  if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	  
// Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
$cedula_usuario=$_SESSION['CEDULA_USUARIO'];
$username=$_SESSION['MM_Username'];
$tipo_usuario=$_SESSION['PRIVILEGIO']; 

// Captura la cédula del docente a quien se le cargará la información.
$cedula_docente=$_GET["cedula_docente"];
if(empty($cedula_docente)){
   $cedula_docente=$cedula_usuario;
}   

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

//para tomar el id del alumno
$sqlx = "SELECT id_docente,cedula,apellidos, nombres FROM docentes where cedula='$cedula_docente'";
$rsx = mysql_query($sqlx, $cn) or die(mysql_error());
$rowx = mysql_fetch_assoc($rsx);
$id_docente= $rowx['id_docente'];
$cedula= $rowx['cedula'];
$apellidos= $rowx['apellidos'];
$nombres= $rowx['nombres'];

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];

?>

<html>
<head>
<title>enaph_siace -- formacion_docente</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .bd1 {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 14px;
  }
   .bd2 {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 10px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    background-color: #FFFFFF01;
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    background-color: #FFFFFF01;
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    background-color: #FFFFFF01;
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Formaci&oacute;n Docente</h2></tr></table>
<table  class="bd" width="100%"><tr><td>(Estudios no conducentes a grado acad&eacute;mico) </td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr><td class="bd1"><b>DOCENTE:</b>&nbsp;&nbsp;<?php echo $apellidos ?>,&nbsp;<?php echo $nombres ?></td></tr>
</table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 100;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];

  switch ($sql) {
    case "insert":
      sql_insert();
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec();
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr">!SIGA LA ENAHP!</td></tr></table>
</body>
</html>

<?php function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $order;
  global $ordtype;
  global $cedula;
  global $apellidos;
  global $nombres;
  global $id_docente;
  global $cedula_docente;
  global $conn;


  if ($a == "reset") {
    $order = "";
    $ordtype = "";
  }

  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center">Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center"><a class="hr" href="formacion_docente.php?order=<?php echo "titulo" ?>&type=<?php echo $ordtypestr ?>&cedula_docente=<?php echo $cedula_docente; ?>"><?php echo htmlspecialchars("Título Obtenido") ?></a></td>
<td class="hr" align="center"><a class="hr" href="formacion_docente.php?order=<?php echo "institucion" ?>&type=<?php echo $ordtypestr ?>&cedula_docente=<?php echo $cedula_docente; ?>"><?php echo htmlspecialchars("Institucion") ?></a></td>
<td class="hr" align="center"><a class="hr" href="formacion_docente.php?order=<?php echo "pais" ?>&type=<?php echo $ordtypestr ?>&cedula_docente=<?php echo $cedula_docente; ?>"><?php echo htmlspecialchars("País") ?></a></td>
<td class="hr" align="center"><a class="hr" href="formacion_docente.php?order=<?php echo "ciudad" ?>&type=<?php echo $ordtypestr ?>&cedula_docente=<?php echo $cedula_docente; ?>"><?php echo htmlspecialchars("Ciudad") ?></a></td>
<td class="hr" align="center"><a class="hr" href="formacion_docente.php?order=<?php echo "status" ?>&type=<?php echo $ordtypestr ?>&cedula_docente=<?php echo $cedula_docente; ?>"><?php echo htmlspecialchars("Status") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="formacion_docente.php?a=view&recid=<?php echo $i ?>&cedula_docente=<?php echo $cedula_docente; ?>"><img src="imagenes/search.gif" border="0"> </a></td>
<td class="<?php echo $style ?>" align="center"><a href="formacion_docente.php?a=edit&recid=<?php echo $i ?>&cedula_docente=<?php echo $cedula_docente; ?>"><img src="imagenes/edit.gif" border="0" ></a></td>
<td class="<?php echo $style ?>" align="center"><a href="formacion_docente.php?a=del&recid=<?php echo $i ?>&cedula_docente=<?php echo $cedula_docente; ?>"><img src="imagenes/delete.png" border="0" ></a></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["titulo"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["institucion"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["pais"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["ciudad"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["status"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="80%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Título Obtenido")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["titulo"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Institución")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["institucion"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("País")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["pais"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["ciudad"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Ingreso")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(split("-",$row["fecha_ingreso"]))))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Egreso")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(split("-",$row["fecha_egreso"]))))) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["status"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $query_rstPais = "SELECT * FROM paises ORDER BY pais ASC";
  $rstPais = mysql_query($query_rstPais, $conn) or die(mysql_error());
  $row_rstPais = mysql_fetch_assoc($rstPais);
  $totalRows_rstPais = mysql_num_rows($rstPais);
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="80%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Título Obtenido")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="titulo" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["titulo"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Institucion")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="institucion" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["institucion"])) ?>" size="50" maxlength="30"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("País")."&nbsp;" ?></td>
<td class="dr"><select name="pais">
<option value="<?php echo str_replace('"', '&quot;', trim($row["pais"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["pais"])) ?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstPais['pais']?>"><?php echo $row_rstPais['pais']?></option>
  <?php
} while ($row_rstPais = mysql_fetch_assoc($rstPais));
  $rows = mysql_num_rows($rstPais);
  if($rows > 0) {
      mysql_data_seek($rstPais, 0);
	  $row_rstPais = mysql_fetch_assoc($rstPais);
  }
?></select> </td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="ciudad" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["ciudad"])) ?>" size="30" maxlength="30"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Ingreso")."&nbsp;" ?></td>
<td class="dr"><input name="fecha_ingreso" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(split("-",$row["fecha_ingreso"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Egreso")."&nbsp;" ?></td>
<td class="dr"><input name="fecha_egreso" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(split("-",$row["fecha_egreso"])))) ?>" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><select name="status">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["status"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["status"])) ?></option>
  <option value="CULMINADO">CULMINADO</option>
  <option value="CURSANDO">CURSANDO</option>
</select></td>
</tr>
</table>
<?php } ?>


<?php function showrowadd($row, $iseditmode)
  {
  global $conn;
  global $nombres;
  global $apellidos;
  
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  $query_rstPais = "SELECT * FROM paises ORDER BY pais ASC";
  $rstPais = mysql_query($query_rstPais, $conn) or die(mysql_error());
  $row_rstPais = mysql_fetch_assoc($rstPais);
  $totalRows_rstPais = mysql_num_rows($rstPais);
?>

<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="80%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Título Obtenido")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="titulo" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["titulo"])) ?>" size="50" maxlength="50"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Institucion")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="institucion" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["institucion"])) ?>" size="30" maxlength="30"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("País")."&nbsp;" ?></td>
<td class="dr">
<select name="pais">
<option value="<?php echo str_replace('"', '&quot;', trim($row["pais"])) ?>"><?php echo str_replace('"', '&quot;', trim($row["pais"])) ?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstPais['pais']?>"><?php echo $row_rstPais['pais']?></option>
  <?php
} while ($row_rstPais = mysql_fetch_assoc($rstPais));
  $rows = mysql_num_rows($rstPais);
  if($rows > 0) {
      mysql_data_seek($rstPais, 0);
	  $row_rstPais = mysql_fetch_assoc($rstPais);
  }
?></select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Ciudad")."&nbsp;" ?></td>
<td class="dr"><input onKeyUp="this.value=this.value.toUpperCase();" name="ciudad" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["ciudad"])) ?>" size="30" maxlength="30"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Ingreso")."&nbsp;" ?></td>
<td class="dr"><input name="fecha_ingreso" type="text" size="10" maxlength="10" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Egreso")."&nbsp;" ?></td>
<td class="dr"><input name="fecha_egreso" type="text" size="10" maxlength="10" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd-mm-aaaa)</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Status")."&nbsp;" ?></td>
<td class="dr"><select name="status">
  <option value="0">Seleccione...</option>
  <option value="CULMINADO">CULMINADO</option>
  <option value="CURSANDO">CURSANDO</option>
</select></td>
</tr>
</table>
<?php } ?>


<?php function showpagenav($page, $pagecount)
{
global $cedula_docente;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="formacion_docente.php?a=add&cedula_docente=<?php echo $cedula_docente; ?>">Agregar </a>&nbsp;</td>
<?php if ($page > 1) { ?>
<td><a href="formacion_docente.php?page=<?php echo $page - 1 ?>&cedula_docente=<?php echo $cedula_docente; ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="formacion_docente.php?page=<?php echo $j ?>&cedula_docente=<?php echo $cedula_docente; ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="formacion_docente.php?page=<?php echo $startpage ?>&cedula_docente=<?php echo $cedula_docente; ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="formacion_docente.php?page=<?php echo $page + 1 ?>&cedula_docente=<?php echo $cedula_docente; ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
global $cedula_docente;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="formacion_docente.php?&cedula_docente=<?php echo $cedula_docente; ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="formacion_docente.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&cedula_docente=<?php echo $cedula_docente; ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="formacion_docente.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&cedula_docente=<?php echo $cedula_docente; ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec()
{
global $cedula_docente;

?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="formacion_docente.php?cedula_docente=<?php echo $cedula_docente; ?>">Regresar</a></td>
</tr>
</table>
<hr size="1" noshade>
<form enctype="multipart/form-data" action="formacion_docente.php?cedula_docente=<?php echo $cedula_docente; ?>" method="post">
<p><input type="hidden" name="sql" value="insert"></p>
<?php
$row = array(
  "id_docente" => "",
  "titulo" => "",
  "institucion" => "",
  "pais" => "",
  "ciudad" => "",
  "fecha_ingreso" => "",
  "fecha_egreso" => "",
  "status" => "");
showrowadd($row, false);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
global $cedula_docente;

  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count);
?>
<br>
<form enctype="multipart/form-data" action="formacion_docente.php?cedula_docente=<?php echo $cedula_docente; ?>" method="post">
<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid_docente" value="<?php echo $row["id_docente"] ?>">
<input type="hidden" name="xtitulo" value="<?php echo $row["titulo"] ?>">
<input type="hidden" name="xinstitucion" value="<?php echo $row["institucion"] ?>">
<input type="hidden" name="xpais" value="<?php echo $row["pais"] ?>">
<input type="hidden" name="xciudad" value="<?php echo $row["ciudad"] ?>">
<input type="hidden" name="xfecha_ingreso" value="<?php echo $row["fecha_ingreso"] ?>">
<input type="hidden" name="xfecha_egreso" value="<?php echo $row["fecha_egreso"] ?>">
<input type="hidden" name="xstatus" value="<?php echo $row["status"] ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
global $cedula_docente;

  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("del", $recid, $count);
?>
<br>
<form action="formacion_docente.php?cedula_docente=<?php echo $cedula_docente; ?>" method="post">
<input type="hidden" name="sql" value="delete">
<input type="hidden" name="xid_docente" value="<?php echo $row["id_docente"] ?>">
<input type="hidden" name="xtitulo" value="<?php echo $row["titulo"] ?>">
<input type="hidden" name="xinstitucion" value="<?php echo $row["institucion"] ?>">
<input type="hidden" name="xpais" value="<?php echo $row["pais"] ?>">
<input type="hidden" name="xciudad" value="<?php echo $row["ciudad"] ?>">
<input type="hidden" name="xfecha_ingreso" value="<?php echo $row["fecha_ingreso"] ?>">
<input type="hidden" name="xfecha_egreso" value="<?php echo $row["fecha_egreso"] ?>">
<input type="hidden" name="xstatus" value="<?php echo $row["status"] ?>">
<?php showrow($row, $recid) ?>
<p><input type="submit" name="action" value="Confirmar"></p>
</form>
<?php
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("enaph_siace");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $id_docente;
  
  $sql = "SELECT `id_docente`, `titulo`, `institucion`, `pais`, `ciudad`, `fecha_ingreso`, `fecha_egreso`, `status` FROM `formacion_docente` where id_docente='$id_docente'";
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $id_docente;
  $sql = "SELECT COUNT(*) FROM `formacion_docente` where id_docente='$id_docente'";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert()
{
  global $conn;
  global $_POST;
  global $id_docente;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
 
  $fecha_ingreso=join ("-",(array_reverse(split("-",@$_POST["fecha_ingreso"]))));
  $fecha_egreso=join ("-",(array_reverse(split("-",@$_POST["fecha_egreso"]))));

  $sql = "insert into `formacion_docente` (`id_docente`, `titulo`, `institucion`, `pais`, `ciudad`, `fecha_ingreso`, `fecha_egreso`, `status`) values ('$id_docente', " .sqlvalue(@$_POST["titulo"], true).", " .sqlvalue(@$_POST["institucion"], true).", " .sqlvalue(@$_POST["pais"], true).", " .sqlvalue(@$_POST["ciudad"], true).", '$fecha_ingreso', '$fecha_egreso', " .sqlvalue(@$_POST["status"], true).")";
  mysql_query($sql, $conn) or die(mysql_error());
  
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Agregar Formación Docente";
  $script="formacion_docente.php";
  $ip=obtener_ip();
   $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
}

function sql_update()
{
  global $conn;
  global $_POST;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;
  
  $fecha_ingreso=join ("-",(array_reverse(split("-",@$_POST["fecha_ingreso"]))));
  $fecha_egreso=join ("-",(array_reverse(split("-",@$_POST["fecha_egreso"]))));

  $sql = "update `formacion_docente` set `titulo`=" .sqlvalue(@$_POST["titulo"], true).", `institucion`=" .sqlvalue(@$_POST["institucion"], true).", `pais`=" .sqlvalue(@$_POST["pais"], true).", `ciudad`=" .sqlvalue(@$_POST["ciudad"], true).", `fecha_ingreso`='$fecha_ingreso', `fecha_egreso`='$fecha_egreso', `status`=" .sqlvalue(@$_POST["status"], true) ." where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());

 // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Modificar Formación Docente";
  $script="formacion_docente.php";
  $ip=obtener_ip();
   $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());

}

function sql_delete()
{
  global $conn;
  global $cedula_usuario;
  global $username;
  global $tipo_usuario;

  $sql = "delete from `formacion_docente` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
  
   // Guarda el Registro de Auditoría
  $consulta=addslashes($sql);
  $fecha=date("Y-m-d G:i:A");
  $accion="Eliminar Formación Docente";
  $script="formacion_docente.php";
  $ip=obtener_ip();
   $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
  mysql_query($sql1, $conn) or die(mysql_error());
  
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id_docente`";
  if (@$_POST["xid_docente"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid_docente"], false);
  };
  $pk .= ") and ";
  $pk .= "(`titulo`";
  if (@$_POST["xtitulo"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xtitulo"], true);
  };
  $pk .= ") and ";
  $pk .= "(`institucion`";
  if (@$_POST["xinstitucion"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xinstitucion"], true);
  };
  $pk .= ") and ";
  $pk .= "(`pais`";
  if (@$_POST["xpais"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xpais"], true);
  };
  $pk .= ") and ";
  $pk .= "(`ciudad`";
  if (@$_POST["xciudad"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xciudad"], true);
  };
  $pk .= ") and ";
  $pk .= "(`fecha_ingreso`";
  if (@$_POST["xfecha_ingreso"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xfecha_ingreso"], true);
  };
  $pk .= ") and ";
  $pk .= "(`fecha_egreso`";
  if (@$_POST["xfecha_egreso"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xfecha_egreso"], true);
  };
  $pk .= ") and ";
  $pk .= "(`status`";
  if (@$_POST["xstatus"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xstatus"], true);
  };
  $pk .= ")";
  return $pk;
}

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }

 ?>

<script>
function esFechaValida(fecha){
    if (fecha != undefined && fecha != "" ){
       
    	var dia  =  parseInt(fecha.substring(0,2),10);
		var mes  =  parseInt(fecha.substring(3,5),10);
		var anio =  parseInt(fecha.substring(6,10),10);
	
		if (isNaN(dia) || isNaN(mes) || isNaN(anio)) {
		   alert("Formato de fecha no válido");
		   document.addAlumno.fecha_nac.focus();
           return false;
	    }
	
        switch(mes){
        case 1:
			numDias=31;
            break;
        case 3:
			numDias=31;
            break;
        case 5:
			numDias=31;
            break;
        case 7:
			numDias=31;
            break;
        case 8: 
			numDias=31;
            break;
        case 10:
			numDias=31;
            break;
        case 12:
            numDias=31;
            break;
        case 4: case 6: case 9: case 11:
            numDias=30;
            break;
        case 2:
           if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
            break;
        default:
            alert("Error en fecha introducida (Mes Inválido)");
			document.addAlumno.fecha_nac.focus();
            return false;
    }
 
        if (dia>numDias || dia==0){
            alert("Error en fecha introducida (Día Inválido)");
            document.addAlumno.fecha_nac.focus();
			return false;
        }
        return true;
    }
}
 
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
    return true;
    }
else {
    return false;
    }
}
</script>

<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>


